{% extends 'layouts/base.html' %}
{% from 'macro/form.html' import form_field %}

{% set pageTitle = "Register"  %}
{% block pageCSS %}
<link type="text/css" href="/public/css/auth.css">
{% endblock pageCSS %}

{% block pageContent %}
<div class="row justify-content-center">
	<form class="col-md-4 needs-validation"
		  method="POST"
		  action="/auth/register">
		{{ form.csrf_token }}
		<div class="text-center">
			<h2 class="app-name">Register a new account</h2>
		</div>

		<div class="col">
			{{ form_field(form.username, placeholder="Your preferred username") }}
			{{ form_field(form.password, placeholder="Your preferred password") }}
		</div>
		<div class="col">
			<button type="submit"
					class="btn btn-primary waves-effect"
					style="width: 100%">
				Register
			</button>
		</div>
	</form>
</div>
{% endblock pageContent %}